
_Read_Time:

;Main.c,36 :: 		void Read_Time(char *sec, char *min, char *hr, char *week_day, char *day, char *mn, char *year) {
;Main.c,37 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;Main.c,38 :: 		I2C1_Wr(0xD0);
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Main.c,39 :: 		I2C1_Wr(0);
	CLRF        FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Main.c,40 :: 		I2C1_Repeated_Start();
	CALL        _I2C1_Repeated_Start+0, 0
;Main.c,41 :: 		I2C1_Wr(0xD1);
	MOVLW       209
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;Main.c,42 :: 		*sec =I2C1_Rd(1);
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_sec+0, FSR1L
	MOVFF       FARG_Read_Time_sec+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,43 :: 		*min =I2C1_Rd(1);
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_min+0, FSR1L
	MOVFF       FARG_Read_Time_min+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,44 :: 		*hr =I2C1_Rd(1);
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_hr+0, FSR1L
	MOVFF       FARG_Read_Time_hr+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,45 :: 		*week_day =I2C1_Rd(1);
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_week_day+0, FSR1L
	MOVFF       FARG_Read_Time_week_day+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,46 :: 		*day =I2C1_Rd(1);
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_day+0, FSR1L
	MOVFF       FARG_Read_Time_day+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,47 :: 		*mn =I2C1_Rd(1);
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_mn+0, FSR1L
	MOVFF       FARG_Read_Time_mn+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,48 :: 		*year =I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FARG_Read_Time_year+0, FSR1L
	MOVFF       FARG_Read_Time_year+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Main.c,49 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;Main.c,50 :: 		}//~
	RETURN      0
; end of _Read_Time

_Transform_Time:

;Main.c,53 :: 		void Transform_Time(char  *sec, char *min, char *hr, char *week_day, char *day, char *mn, char *year) {
;Main.c,54 :: 		*sec  =  ((*sec & 0x70) >> 4)*10 + (*sec & 0x0F);
	MOVFF       FARG_Transform_Time_sec+0, FSR0L
	MOVFF       FARG_Transform_Time_sec+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       112
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_sec+0, FSR1L
	MOVFF       FARG_Transform_Time_sec+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;Main.c,55 :: 		*min  =  ((*min & 0xF0) >> 4)*10 + (*min & 0x0F);
	MOVFF       FARG_Transform_Time_min+0, FSR0L
	MOVFF       FARG_Transform_Time_min+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       240
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_min+0, FSR1L
	MOVFF       FARG_Transform_Time_min+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;Main.c,56 :: 		*hr   =  ((*hr & 0x30) >> 4)*10 + (*hr & 0x0F);
	MOVFF       FARG_Transform_Time_hr+0, FSR0L
	MOVFF       FARG_Transform_Time_hr+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       48
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_hr+0, FSR1L
	MOVFF       FARG_Transform_Time_hr+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;Main.c,57 :: 		*week_day =(*week_day & 0x07);
	MOVFF       FARG_Transform_Time_week_day+0, FSR0L
	MOVFF       FARG_Transform_Time_week_day+1, FSR0H
	MOVFF       FARG_Transform_Time_week_day+0, FSR1L
	MOVFF       FARG_Transform_Time_week_day+1, FSR1H
	MOVLW       7
	ANDWF       POSTINC0+0, 1 
;Main.c,58 :: 		*day  =  ((*day & 0xF0) >> 4)*10 + (*day & 0x0F);
	MOVFF       FARG_Transform_Time_day+0, FSR0L
	MOVFF       FARG_Transform_Time_day+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       240
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_day+0, FSR1L
	MOVFF       FARG_Transform_Time_day+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;Main.c,59 :: 		*mn   =  ((*mn & 0x10) >> 4)*10 + (*mn & 0x0F);
	MOVFF       FARG_Transform_Time_mn+0, FSR0L
	MOVFF       FARG_Transform_Time_mn+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       16
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_mn+0, FSR1L
	MOVFF       FARG_Transform_Time_mn+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;Main.c,60 :: 		*year =  ((*year & 0xF0)>>4)*10+(*year & 0x0F);
	MOVFF       FARG_Transform_Time_year+0, FSR0L
	MOVFF       FARG_Transform_Time_year+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       240
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_year+0, FSR1L
	MOVFF       FARG_Transform_Time_year+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;Main.c,61 :: 		}//~
	RETURN      0
; end of _Transform_Time

_Display_Time:

;Main.c,64 :: 		void Display_Time(char sec, char min, char hr, char week_day, char day, char mn, char year) {
;Main.c,67 :: 		date_str[5] = ((day / 10) + 48   );    // Print tens digit of day variable
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_day+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date_str+5 
;Main.c,68 :: 		date_str[6] = ((day % 10) + 48);    // Print oness digit of day variable
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_day+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date_str+6 
;Main.c,69 :: 		date_str[7] = (':');
	MOVLW       58
	MOVWF       _date_str+7 
;Main.c,70 :: 		date_str[8] = ( (mn / 10) + 48);
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_mn+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date_str+8 
;Main.c,71 :: 		date_str[9] = ( (mn % 10) + 48);
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_mn+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date_str+9 
;Main.c,72 :: 		date_str[10] = ( ':');
	MOVLW       58
	MOVWF       _date_str+10 
;Main.c,73 :: 		date_str[11] = ( '2');
	MOVLW       50
	MOVWF       _date_str+11 
;Main.c,74 :: 		date_str[12] = ( '0');
	MOVLW       48
	MOVWF       _date_str+12 
;Main.c,75 :: 		date_str[13] = ( (year / 10) + 48);          // Print year vaiable + 8 (start from year 2008)
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date_str+13 
;Main.c,76 :: 		date_str[14] = ( (year % 10) + 48);          // Print year vaiable + 8 (start from year 2008)
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date_str+14 
;Main.c,77 :: 		date_str [15] =0 ;
	CLRF        _date_str+15 
;Main.c,79 :: 		time_str[5] = ( (hr / 10)  + 48 );
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_hr+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time_str+5 
;Main.c,80 :: 		time_str[6] = ( (hr % 10)  + 48 );
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_hr+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time_str+6 
;Main.c,81 :: 		time_str[7] = ( ':');
	MOVLW       58
	MOVWF       _time_str+7 
;Main.c,82 :: 		time_str[8] = ( (min / 10) + 48 );
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_min+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time_str+8 
;Main.c,83 :: 		time_str[9] = ( (min % 10) + 48 );
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_min+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time_str+9 
;Main.c,84 :: 		time_str[10] = ( ':');
	MOVLW       58
	MOVWF       _time_str+10 
;Main.c,85 :: 		time_str[11] = ( (sec / 10) + 48 );
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_sec+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time_str+11 
;Main.c,86 :: 		time_str[12] = ( (sec % 10) + 48 );
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_sec+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time_str+12 
;Main.c,87 :: 		time_str[13] = 0;
	CLRF        _time_str+13 
;Main.c,88 :: 		}//~
	RETURN      0
; end of _Display_Time

_Init_Main:

;Main.c,91 :: 		void Init_Main() {
;Main.c,93 :: 		I2C1_Init(400000);                        // initialize I2C
	MOVLW       6
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;Main.c,96 :: 		}//~
	RETURN      0
; end of _Init_Main

_main:

;Main.c,99 :: 		void main() {
;Main.c,101 :: 		PCFG3_bit=1; PCFG2_bit=1; PCFG1_bit=1; PCFG0_bit=1;
	BSF         PCFG3_bit+0, 3 
	BSF         PCFG2_bit+0, 2 
	BSF         PCFG1_bit+0, 1 
	BSF         PCFG0_bit+0, 0 
;Main.c,102 :: 		TRISE2_bit=0;TRISE1_bit=0;//Analog Mux as out put Initlization;
	BCF         TRISE2_bit+0, 2 
	BCF         TRISE1_bit+0, 1 
;Main.c,103 :: 		Glcd_Init();                              // Initialize GLCD
	CALL        _Glcd_Init+0, 0
;Main.c,105 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	MOVLW       71
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Main.c,106 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       13
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;Main.c,108 :: 		UART1_Write_Text("Main Start\r");
	MOVLW       ?lstr1_Main+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_Main+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Main.c,110 :: 		Glcd_Fill(0x00);                          // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Main.c,111 :: 		Glcd_Set_Font(font5x7, 5, 7, 32);    Glcd_Write_Text("Hello world!", 10, 2, 1);
	MOVLW       _font5x7+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_font5x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_font5x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       5
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
	MOVLW       ?lstr2_Main+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr2_Main+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       10
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Main.c,112 :: 		Init_Main();
	CALL        _Init_Main+0, 0
;Main.c,114 :: 		time_str[0]='T';time_str[1]='i';time_str[2]='m';time_str[3]='e';time_str[4]=':';
	MOVLW       84
	MOVWF       _time_str+0 
	MOVLW       105
	MOVWF       _time_str+1 
	MOVLW       109
	MOVWF       _time_str+2 
	MOVLW       101
	MOVWF       _time_str+3 
	MOVLW       58
	MOVWF       _time_str+4 
;Main.c,115 :: 		date_str[0]='D';date_str[1]='a';date_str[2]='t';date_str[3]='e';date_str[4]=':';
	MOVLW       68
	MOVWF       _date_str+0 
	MOVLW       97
	MOVWF       _date_str+1 
	MOVLW       116
	MOVWF       _date_str+2 
	MOVLW       101
	MOVWF       _date_str+3 
	MOVLW       58
	MOVWF       _date_str+4 
;Main.c,117 :: 		while(1) {
L_main1:
;Main.c,120 :: 		Read_Time(&sec,&min1,&hr,&week_day,&day,&mn,&year);      // read time from RTC(DS1307)
	MOVLW       _sec+0
	MOVWF       FARG_Read_Time_sec+0 
	MOVLW       hi_addr(_sec+0)
	MOVWF       FARG_Read_Time_sec+1 
	MOVLW       _min1+0
	MOVWF       FARG_Read_Time_min+0 
	MOVLW       hi_addr(_min1+0)
	MOVWF       FARG_Read_Time_min+1 
	MOVLW       _hr+0
	MOVWF       FARG_Read_Time_hr+0 
	MOVLW       hi_addr(_hr+0)
	MOVWF       FARG_Read_Time_hr+1 
	MOVLW       _week_day+0
	MOVWF       FARG_Read_Time_week_day+0 
	MOVLW       hi_addr(_week_day+0)
	MOVWF       FARG_Read_Time_week_day+1 
	MOVLW       _day+0
	MOVWF       FARG_Read_Time_day+0 
	MOVLW       hi_addr(_day+0)
	MOVWF       FARG_Read_Time_day+1 
	MOVLW       _mn+0
	MOVWF       FARG_Read_Time_mn+0 
	MOVLW       hi_addr(_mn+0)
	MOVWF       FARG_Read_Time_mn+1 
	MOVLW       _year+0
	MOVWF       FARG_Read_Time_year+0 
	MOVLW       hi_addr(_year+0)
	MOVWF       FARG_Read_Time_year+1 
	CALL        _Read_Time+0, 0
;Main.c,121 :: 		Transform_Time(&sec,&min1,&hr,&week_day,&day,&mn,&year); // format date and time
	MOVLW       _sec+0
	MOVWF       FARG_Transform_Time_sec+0 
	MOVLW       hi_addr(_sec+0)
	MOVWF       FARG_Transform_Time_sec+1 
	MOVLW       _min1+0
	MOVWF       FARG_Transform_Time_min+0 
	MOVLW       hi_addr(_min1+0)
	MOVWF       FARG_Transform_Time_min+1 
	MOVLW       _hr+0
	MOVWF       FARG_Transform_Time_hr+0 
	MOVLW       hi_addr(_hr+0)
	MOVWF       FARG_Transform_Time_hr+1 
	MOVLW       _week_day+0
	MOVWF       FARG_Transform_Time_week_day+0 
	MOVLW       hi_addr(_week_day+0)
	MOVWF       FARG_Transform_Time_week_day+1 
	MOVLW       _day+0
	MOVWF       FARG_Transform_Time_day+0 
	MOVLW       hi_addr(_day+0)
	MOVWF       FARG_Transform_Time_day+1 
	MOVLW       _mn+0
	MOVWF       FARG_Transform_Time_mn+0 
	MOVLW       hi_addr(_mn+0)
	MOVWF       FARG_Transform_Time_mn+1 
	MOVLW       _year+0
	MOVWF       FARG_Transform_Time_year+0 
	MOVLW       hi_addr(_year+0)
	MOVWF       FARG_Transform_Time_year+1 
	CALL        _Transform_Time+0, 0
;Main.c,122 :: 		Display_Time(sec, min1, hr, week_day, day, mn, year);    // prepare and display on LCD
	MOVF        _sec+0, 0 
	MOVWF       FARG_Display_Time_sec+0 
	MOVF        _min1+0, 0 
	MOVWF       FARG_Display_Time_min+0 
	MOVF        _hr+0, 0 
	MOVWF       FARG_Display_Time_hr+0 
	MOVF        _week_day+0, 0 
	MOVWF       FARG_Display_Time_week_day+0 
	MOVF        _day+0, 0 
	MOVWF       FARG_Display_Time_day+0 
	MOVF        _mn+0, 0 
	MOVWF       FARG_Display_Time_mn+0 
	MOVF        _year+0, 0 
	MOVWF       FARG_Display_Time_year+0 
	CALL        _Display_Time+0, 0
;Main.c,124 :: 		Glcd_Write_Text(time_str, 2, 2, 1);
	MOVLW       _time_str+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_time_str+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Main.c,125 :: 		Glcd_Write_Text(date_str, 2, 4, 1);
	MOVLW       _date_str+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_date_str+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Main.c,127 :: 		UART1_Write_Text(time_str);UART1_Write_Text("\r");
	MOVLW       _time_str+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_time_str+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	MOVLW       ?lstr3_Main+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_Main+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Main.c,128 :: 		UART1_Write_Text(date_str);UART1_Write_Text("\r\r");
	MOVLW       _date_str+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_date_str+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	MOVLW       ?lstr4_Main+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_Main+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Main.c,129 :: 		Delay_ms(1000);
	MOVLW       15
	MOVWF       R11, 0
	MOVLW       7
	MOVWF       R12, 0
	MOVLW       154
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
;Main.c,131 :: 		}
	GOTO        L_main1
;Main.c,132 :: 		}
	GOTO        $+0
; end of _main
